# Amplify UI React Native

The React Native package provides components and utilities for building Amplify connected applications on React Native.

## Contents

### Authenticator Components

- `Authenticator` - Component for authentication flows
- `useAuthenticator` - Hook for accessing authenticator functionality
- `withAuthenticator` - Higher-order component for adding authentication capabilities

### Theming Components

- `ThemeProvider` - Provider component for theme context
- `useTheme` - Hook for accessing theme functionality
- `defaultTheme` - Default theme configuration
- `defaultDarkModeOverride` - Default dark mode theme override

### In-App Messaging

- Various components and utilities for in-app messaging

### Type Definitions

- `AuthenticatorProps` - Props for Authenticator component
- `UseAuthenticator` - Type for useAuthenticator hook
- `WithAuthenticatorOptions` - Options for withAuthenticator HOC
- Various props types for authentication screens
- `Theme` - Type for theme configuration

## React Native Documentation 📖

- https://ui.docs.amplify.aws/react-native
