"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const RadioGroup_1 = require("../../../primitives/RadioGroup");
const Radio_1 = require("../../../primitives/Radio");
const DefaultSelectMfaTypeFormFields = ({ fields = [], fieldContainerStyle, fieldLabelStyle, isPending, style, }) => {
    // set initial value for radio field based on selected bool
    const initialValue = fields.find((field) => !!field.selected)?.value;
    return (<RadioGroup_1.RadioGroup disabled={isPending} style={style} initialValue={initialValue}>
      {fields.map(({ value, label, ...props }) => (<Radio_1.Radio {...props} key={value} value={value} label={label} labelStyle={fieldLabelStyle} style={fieldContainerStyle}/>))}
    </RadioGroup_1.RadioGroup>);
};
DefaultSelectMfaTypeFormFields.displayName = 'FormFields';
exports.default = DefaultSelectMfaTypeFormFields;
