"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const ui_1 = require("@aws-amplify/ui");
const Field_1 = tslib_1.__importDefault(require("./Field"));
const FieldErrors_1 = require("./FieldErrors");
const DefaultTextFormFields = ({ fieldContainerStyle, fieldErrorsContainer, fieldErrorStyle, fieldStyle, fields, isPending = false, style, validationErrors, }) => {
    const formFields = (fields ?? []).map(({ name, type, ...field }) => {
        const errors = validationErrors ? (0, ui_1.getErrors)(validationErrors?.[name]) : [];
        const hasError = errors?.length > 0;
        return (<react_1.Fragment key={name}>
        <Field_1.default {...field} disabled={isPending} error={hasError} fieldStyle={fieldStyle} key={name} style={fieldContainerStyle} type={type}/>
        <FieldErrors_1.FieldErrors errors={errors} errorStyle={fieldErrorStyle} style={fieldErrorsContainer}/>
      </react_1.Fragment>);
    });
    return <react_native_1.View style={style}>{formFields}</react_native_1.View>;
};
DefaultTextFormFields.displayName = 'FormFields';
exports.default = DefaultTextFormFields;
