"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ui_1 = require("@aws-amplify/ui");
const primitives_1 = require("../../../primitives");
const attributeMap = {
    email: 'Email',
    phone_number: 'Phone Number',
};
const DefaultVerifyUserFormFields = ({ fields = [], fieldContainerStyle, fieldLabelStyle, isPending, style, }) => {
    // set initial value for radio field based on selected bool
    const initialValue = fields.find((field) => !!field.selected)?.name;
    return (<primitives_1.RadioGroup disabled={isPending} style={style} initialValue={initialValue}>
      {fields.map(({ name, value, ...props }) => {
            const attributeType = attributeMap[name];
            return (<primitives_1.Radio {...props} key={value} 
            // value has to be name, because Auth is only interested in the
            // string "email" or "phone_number", not the actual value
            value={name} label={(0, ui_1.censorContactMethod)(attributeType, value)} labelStyle={fieldLabelStyle} style={fieldContainerStyle}/>);
        })}
    </primitives_1.RadioGroup>);
};
DefaultVerifyUserFormFields.displayName = 'FormFields';
exports.default = DefaultVerifyUserFormFields;
