"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const primitives_1 = require("../../../primitives");
const hooks_1 = require("../../../hooks");
function FederatedProviderButton({ children, source, style, textStyle, ...rest }) {
    const pressableStyle = (0, hooks_1.usePressableContainerStyles)({
        overrideStyle: style,
    });
    return (<primitives_1.Button {...rest} style={pressableStyle}>
      <primitives_1.Icon source={source} size={20}/>
      <primitives_1.Label style={textStyle}>{children}</primitives_1.Label>
    </primitives_1.Button>);
}
exports.default = FederatedProviderButton;
