"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const Authenticator_1 = tslib_1.__importDefault(require("./Authenticator"));
function withAuthenticator(Component, options = {}) {
    return function WrappedWithAuthenticator(props) {
        return (<Authenticator_1.default.Provider>
        <Authenticator_1.default {...options}>
          <Component {...props}/>
        </Authenticator_1.default>
      </Authenticator_1.default.Provider>);
    };
}
exports.default = withAuthenticator;
