"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../hooks");
const MessageWrapper_1 = require("../MessageWrapper");
const MessageLayout_1 = require("../MessageLayout");
const styles_1 = require("./styles");
function BannerMessage({ position = 'top', ...props }) {
    const messageProps = (0, hooks_1.useMessageProps)(props, (imageDimensions) => (0, styles_1.getStyles)(imageDimensions, { position: { ...styles_1.positionStyle[position] } }));
    const { shouldRenderMessage, styles } = messageProps;
    if (!shouldRenderMessage) {
        return null;
    }
    const { wrapper, ...messageStyles } = styles;
    return (<MessageWrapper_1.MessageWrapper style={wrapper}>
      <MessageLayout_1.MessageLayout {...props} {...messageProps} orientation="landscape" styles={messageStyles} testID={`inappmessaging-${position}banner-dialog`}/>
    </MessageWrapper_1.MessageWrapper>);
}
exports.default = BannerMessage;
