"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const primitives_1 = require("../../../primitives");
const constants_1 = require("../../constants");
const MessageWrapper_1 = require("../MessageWrapper");
const CarouselMessageItem_1 = tslib_1.__importDefault(require("./CarouselMessageItem"));
const styles_1 = require("./styles");
function CarouselMessage(props) {
    const { data, ...rest } = props;
    const { style } = rest;
    const indicatorStyle = (0, react_1.useMemo)(() => ({
        active: [styles_1.defaultStyle.pageIndicatorActive, style?.pageIndicatorActive],
        inactive: [
            styles_1.defaultStyle.pageIndicatorInactive,
            style?.pageIndicatorInactive,
        ],
    }), [style]);
    const renderItem = ({ item }) => (<CarouselMessageItem_1.default {...item} {...rest}/>);
    return (<MessageWrapper_1.MessageWrapper disableSafeAreaView>
      <primitives_1.Carousel data={data ?? []} renderItem={renderItem} indicatorActiveStyle={indicatorStyle.active} indicatorInactiveStyle={indicatorStyle.inactive} testID={constants_1.IN_APP_MESSAGING_TEST_ID.CAROUSEL}/>
    </MessageWrapper_1.MessageWrapper>);
}
exports.default = CarouselMessage;
