"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_native_safe_area_context_1 = require("react-native-safe-area-context");
const hooks_1 = require("../../../hooks");
const hooks_2 = require("../../hooks");
const MessageLayout_1 = require("../MessageLayout");
const styles_1 = require("./styles");
function CarouselMessageItem(props) {
    const { deviceOrientation, isPortraitMode } = (0, hooks_1.useDeviceOrientation)();
    const messageProps = (0, hooks_2.useMessageProps)(props, isPortraitMode ? styles_1.getPortraitStyles : styles_1.getLandscapeStyles);
    const { shouldRenderMessage, styles } = messageProps;
    if (!shouldRenderMessage) {
        return null;
    }
    const { wrapper, ...messageStyles } = styles;
    return (<react_native_safe_area_context_1.SafeAreaView style={wrapper}>
      <MessageLayout_1.MessageLayout {...props} {...messageProps} orientation={deviceOrientation} styles={messageStyles}/>
    </react_native_safe_area_context_1.SafeAreaView>);
}
exports.default = CarouselMessageItem;
