"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const hooks_1 = require("../../../hooks");
const hooks_2 = require("../../hooks");
const MessageLayout_1 = require("../MessageLayout");
const MessageWrapper_1 = require("../MessageWrapper");
const styles_1 = require("./styles");
function FullScreenMessage(props) {
    const { deviceOrientation, isPortraitMode } = (0, hooks_1.useDeviceOrientation)();
    const messageProps = (0, hooks_2.useMessageProps)(props, isPortraitMode ? styles_1.getPortraitStyles : styles_1.getLandscapeStyles);
    const { shouldRenderMessage, styles } = messageProps;
    if (!shouldRenderMessage) {
        return null;
    }
    const { wrapper, ...messageStyles } = styles;
    return (<MessageWrapper_1.MessageWrapper style={wrapper}>
      <MessageLayout_1.MessageLayout {...props} {...messageProps} orientation={deviceOrientation} styles={messageStyles} testID={`inappmessaging-fullscreen-dialog`}/>
    </MessageWrapper_1.MessageWrapper>);
}
exports.default = FullScreenMessage;
