"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ui_react_core_notifications_1 = require("@aws-amplify/ui-react-core-notifications");
const BannerMessage_1 = require("../BannerMessage");
const FullScreenMessage_1 = require("../FullScreenMessage");
const CarouselMessage_1 = require("../CarouselMessage");
const ModalMessage_1 = require("../ModalMessage");
const handleMessageLinkAction_1 = tslib_1.__importDefault(require("./handleMessageLinkAction"));
const platformComponents = {
    BannerMessage: BannerMessage_1.BannerMessage,
    CarouselMessage: CarouselMessage_1.CarouselMessage,
    FullScreenMessage: FullScreenMessage_1.FullScreenMessage,
    ModalMessage: ModalMessage_1.ModalMessage,
};
const onMessageAction = ({ action, url }) => {
    (0, ui_react_core_notifications_1.handleMessageAction)({ action, url, handleMessageLinkAction: handleMessageLinkAction_1.default });
};
function InAppMessageDisplay({ components: overrideComponents, }) {
    const components = react_1.default.useMemo(() => ({ ...platformComponents, ...overrideComponents }), [overrideComponents]);
    const { Component, props } = (0, ui_react_core_notifications_1.useMessage)({
        components,
        onMessageAction,
    });
    return <Component {...props}/>;
}
InAppMessageDisplay.BannerMessage = BannerMessage_1.BannerMessage;
InAppMessageDisplay.CarouselMessage = CarouselMessage_1.CarouselMessage;
InAppMessageDisplay.FullScreenMessage = FullScreenMessage_1.FullScreenMessage;
InAppMessageDisplay.ModalMessage = ModalMessage_1.ModalMessage;
exports.default = InAppMessageDisplay;
