"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const utils_1 = require("aws-amplify/utils");
const logger = new utils_1.ConsoleLogger('InAppMessaging');
const handleMessageLinkAction = async (url) => {
    let supported = false;
    try {
        supported = await react_native_1.Linking.canOpenURL(url);
    }
    catch (e) {
        logger.warn(`Call to Linking.canOpenURL failed: ${e}`);
    }
    if (!supported) {
        logger.warn(`Unsupported url provided: ${url}`);
        return;
    }
    try {
        logger.info(`Opening url: ${url}`);
        await react_native_1.Linking.openURL(url);
    }
    catch (e) {
        logger.warn(`Call to Linking.openURL failed: ${e}`);
    }
};
exports.default = handleMessageLinkAction;
