"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_native_1 = require("react-native");
const react_native_safe_area_context_1 = require("react-native-safe-area-context");
const styles_1 = require("./styles");
const SUPPORTED_ORIENTATIONS = [
    'portrait',
    'portrait-upside-down',
    'landscape',
    'landscape-left',
    'landscape-right',
];
function MessageWrapper({ children, disableSafeAreaView, style, }) {
    return (<react_native_1.Modal transparent visible supportedOrientations={SUPPORTED_ORIENTATIONS}>
      <react_native_safe_area_context_1.SafeAreaProvider>
        {disableSafeAreaView ? (children) : (<react_native_safe_area_context_1.SafeAreaView style={[styles_1.styles.messageWrapper, style]}>
            {children}
          </react_native_safe_area_context_1.SafeAreaView>)}
      </react_native_safe_area_context_1.SafeAreaProvider>
    </react_native_1.Modal>);
}
exports.default = MessageWrapper;
