"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ui_react_core_notifications_1 = require("@aws-amplify/ui-react-core-notifications");
const InAppMessageDisplay_1 = require("../InAppMessageDisplay");
function withInAppMessaging(Component, options) {
    return function WrappedWithInAppMessaging(props) {
        return (<ui_react_core_notifications_1.InAppMessagingProvider>
        <InAppMessageDisplay_1.InAppMessageDisplay {...options}/>
        <Component {...props}/>
      </ui_react_core_notifications_1.InAppMessagingProvider>);
    };
}
exports.default = withInAppMessaging;
