"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.usePressableContainerStyles = void 0;
const react_1 = require("react");
const ui_1 = require("@aws-amplify/ui");
const usePressableContainerStyles = ({ overrideStyle, containerStyle, pressedStyle, }) => {
    return (0, react_1.useCallback)(({ pressed }) => {
        const pressedOverrideStyle = (0, ui_1.isFunction)(overrideStyle)
            ? overrideStyle({ pressed })
            : overrideStyle;
        return [
            containerStyle,
            pressed ? pressedStyle : undefined,
            // include last to override other styles
            pressedOverrideStyle,
        ];
    }, [containerStyle, overrideStyle, pressedStyle]);
};
exports.usePressableContainerStyles = usePressableContainerStyles;
