"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_safe_area_context_1 = require("react-native-safe-area-context");
const constants_1 = require("./constants");
function CarouselPageIndicator({ activeStyle, currentIndex, inactiveStyle, indicatorTestId, numberOfItems, style, }) {
    const items = (0, react_1.useMemo)(() => new Array(numberOfItems ?? 0)
        .fill(null)
        .map((_, index) => (currentIndex ?? 0) === index ? (<react_native_1.View style={[constants_1.DEFAULT_CAROUSEL_INDICATOR_ACTIVE_STYLE, activeStyle]} key={`indicator-item-${index}`} testID={indicatorTestId}/>) : (<react_native_1.View style={[constants_1.DEFAULT_CAROUSEL_INDICATOR_INACTIVE_STYLE, inactiveStyle]} key={`indicator-item-${index}`} testID={indicatorTestId}/>)), [activeStyle, currentIndex, inactiveStyle, indicatorTestId, numberOfItems]);
    return <react_native_safe_area_context_1.SafeAreaView style={style}>{items}</react_native_safe_area_context_1.SafeAreaView>;
}
exports.default = CarouselPageIndicator;
