"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThemedStyles = void 0;
const react_native_1 = require("react-native");
const utils_1 = require("../Label/utils");
const getThemedStyles = (theme, labelPosition) => {
    const { tokens, components } = theme;
    const { opacities, space } = tokens;
    return react_native_1.StyleSheet.create({
        container: {
            alignItems: 'center',
            padding: space.xs,
            flexDirection: (0, utils_1.getFlexDirectionFromLabelPosition)(labelPosition),
            ...components?.checkbox?.container,
        },
        disabled: {
            opacity: opacities[60],
            ...components?.checkbox?.disabled,
        },
        icon: {
            ...components?.checkbox?.icon,
        },
        label: {
            ...components?.checkbox?.label,
        },
    });
};
exports.getThemedStyles = getThemedStyles;
