"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DIVIDER_LINE_TEST_ID = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const Label_1 = require("../Label");
const styles_1 = require("./styles");
exports.DIVIDER_LINE_TEST_ID = 'amplify__divider__line';
function Divider({ children, labelStyle, lineStyle, style, }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme);
    return (<react_native_1.View style={[themedStyle.container, style]}>
      <react_native_1.View style={[themedStyle.line, lineStyle]} testID={exports.DIVIDER_LINE_TEST_ID}/>
      {children ? (<>
          <Label_1.Label style={[themedStyle.label, labelStyle]}>{children}</Label_1.Label>
          <react_native_1.View style={[themedStyle.line, lineStyle]}/>
        </>) : null}
    </react_native_1.View>);
}
exports.default = Divider;
