"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getThemedStyles = void 0;
const react_native_1 = require("react-native");
const getThemedStyles = (theme) => {
    const { tokens, components } = theme;
    const { colors, fontSizes, space, borderWidths } = tokens;
    return react_native_1.StyleSheet.create({
        container: {
            alignItems: 'center',
            flexDirection: 'row',
            ...components?.divider?.container,
        },
        label: {
            fontSize: fontSizes.medium,
            margin: space.medium,
            textAlign: 'center',
            color: colors.font.tertiary,
            ...components?.divider?.label,
        },
        line: {
            backgroundColor: colors.border.secondary,
            flex: 1,
            height: borderWidths.small,
            ...components?.divider?.line,
        },
    });
};
exports.getThemedStyles = getThemedStyles;
