"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CLOSE_BUTTON_TEST_ID = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_native_1 = require("react-native");
const assets_1 = require("../../assets");
const Icon_1 = require("../Icon");
const IconButton_1 = require("../IconButton");
const theme_1 = require("../../theme");
const styles_1 = require("./styles");
exports.CLOSE_BUTTON_TEST_ID = 'authenticator--error-message--close-button';
function ErrorMessage({ accessible = true, accessibilityRole = 'alert', children, iconStyle, labelStyle, onDismiss, style, ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme);
    return (<react_native_1.View {...rest} accessible={accessible} accessibilityRole={accessibilityRole} style={[themedStyle.container, style]}>
      <Icon_1.Icon size={20} source={assets_1.icons.error} style={[themedStyle.icon, iconStyle]}/>
      <react_native_1.Text style={[themedStyle.label, labelStyle]}>{children}</react_native_1.Text>
      {onDismiss ? (<IconButton_1.IconButton onPress={onDismiss} size={20} source={assets_1.icons.close} style={themedStyle.icon} testID={exports.CLOSE_BUTTON_TEST_ID}/>) : null}
    </react_native_1.View>);
}
exports.default = ErrorMessage;
