"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const styles_1 = require("./styles");
function Heading({ accessibilityRole = 'header', children, level = 6, style, ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme);
    return (<react_native_1.Text {...rest} accessibilityRole={accessibilityRole} style={[themedStyle.text, themedStyle[level], style]}>
      {children}
    </react_native_1.Text>);
}
exports.default = Heading;
