"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const styles_1 = require("./styles");
function Icon({ accessible = true, accessibilityRole = 'image', animated, color, size, style, ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, react_1.useMemo)(() => (0, styles_1.getThemedStyles)(theme, color, size), [theme, color, size]);
    const imageProps = {
        ...rest,
        accessible,
        accessibilityRole,
        style: [themedStyle.icon, style],
    };
    if (animated) {
        return <react_native_1.Animated.Image {...imageProps}/>;
    }
    return <react_native_1.Image {...imageProps}/>;
}
exports.default = Icon;
