"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const hooks_1 = require("../../hooks");
const styles_1 = require("./styles");
const Icon_1 = require("../Icon");
function IconButton({ accessibilityRole = 'button', color, disabled, iconStyle, size = Icon_1.iconSizes.medium, source, style, ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme);
    const containerStyle = (0, react_1.useMemo)(() => ({
        ...themedStyle.container,
        ...(disabled && themedStyle.disabled),
    }), [disabled, themedStyle]);
    const pressableStyle = (0, hooks_1.usePressableContainerStyles)({
        overrideStyle: style,
        containerStyle,
        pressedStyle: themedStyle.pressed,
    });
    return (<react_native_1.Pressable {...rest} accessibilityRole={accessibilityRole} disabled={disabled} style={pressableStyle}>
      <Icon_1.Icon color={color} size={size} source={source} style={iconStyle}/>
    </react_native_1.Pressable>);
}
exports.default = IconButton;
