"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const styles_1 = require("./styles");
function Label({ accessibilityRole = 'text', children, style, variant = 'primary', ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme);
    const textStyle = [themedStyle.text, themedStyle[variant], style];
    return (<react_native_1.Text {...rest} accessibilityRole={accessibilityRole} style={textStyle}>
      {children}
    </react_native_1.Text>);
}
exports.default = Label;
