"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const theme_1 = require("../../theme");
const styles_1 = require("./styles");
const TextField_1 = require("../TextField");
function PhoneNumberField({ disabled, fieldStyle, labelStyle, style, ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme);
    return (<TextField_1.TextField {...rest} disabled={disabled} fieldStyle={[themedStyle.field, fieldStyle]} keyboardType="phone-pad" labelStyle={[themedStyle.label, labelStyle]} style={[themedStyle.container, style]}/>);
}
exports.default = PhoneNumberField;
