"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const theme_1 = require("../../theme");
const hooks_1 = require("../../hooks");
const Button_1 = require("../Button");
const styles_1 = require("./styles");
function Tab({ children, selected, style, textStyle, indicatorPosition, ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme, indicatorPosition);
    const selectedStyles = selected ? themedStyle.selected : null;
    const containerStyle = (0, react_1.useMemo)(() => ({
        ...themedStyle.tab,
        ...(selected && themedStyle.readonly),
        ...selectedStyles,
    }), [selected, selectedStyles, themedStyle]);
    const pressableStyle = (0, hooks_1.usePressableContainerStyles)({
        overrideStyle: style,
        containerStyle,
        pressedStyle: themedStyle.pressed,
    });
    return (<Button_1.Button {...rest} accessibilityRole="tab" style={pressableStyle} textStyle={[themedStyle.tabText, textStyle, selectedStyles]}>
      {children}
    </Button_1.Button>);
}
exports.default = Tab;
