"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const theme_1 = require("../../theme");
const styles_1 = require("./styles");
function Tabs({ accessible = true, accessibilityRole = 'tablist', children, indicatorPosition = 'bottom', onChange, selectedIndex = 0, style, ...rest }) {
    const theme = (0, theme_1.useTheme)();
    const themedStyle = (0, styles_1.getThemedStyles)(theme, indicatorPosition);
    const handleOnChange = (nextIndex) => {
        onChange?.(nextIndex);
    };
    return (<react_native_1.View {...rest} accessible={accessible} accessibilityRole={accessibilityRole} style={[themedStyle.tabList, style]}>
      {react_1.Children.map(children, (child, index) => {
            if ((0, react_1.isValidElement)(child)) {
                return (0, react_1.cloneElement)(child, {
                    onPress: (event) => {
                        child.props.onPress?.(event);
                        handleOnChange(index);
                    },
                    indicatorPosition,
                    selected: index === selectedIndex,
                });
            }
        })}
    </react_native_1.View>);
}
exports.default = Tabs;
