"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_native_1 = require("react-native");
const IS_DEV = __DEV__;
const IS_ANDROID = react_native_1.Platform.OS === 'android';
const IS_IOS = react_native_1.Platform.OS === 'ios';
// https://material.io/design/layout/spacing-methods.html#touch-targets
const ANDROID_MINIMUM_TOUCH_TARGET = 48;
// https://developer.apple.com/design/human-interface-guidelines/ios/visual-design/adaptivity-and-layout/
const IOS_MINIMUM_TOUCH_TARGET = 44;
const PLATFORM_TOUCH_TARGET = react_native_1.Platform.select({
    android: ANDROID_MINIMUM_TOUCH_TARGET,
    ios: IOS_MINIMUM_TOUCH_TARGET,
});
exports.default = {
    ...react_native_1.Platform,
    IS_ANDROID,
    IS_DEV,
    IS_IOS,
    PLATFORM_TOUCH_TARGET,
};
